package com.bonus.sgzb.base.service.impl;

import com.bonus.sgzb.base.domain.MaTypeHisPrice;
import com.bonus.sgzb.base.mapper.MaTypeHisPriceMapper;
import com.bonus.sgzb.base.service.MaTypeHisPriceService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class MaTypeHisPriceServiceImpl implements MaTypeHisPriceService {

    @Autowired
    private MaTypeHisPriceMapper maTypeHisPriceMapper;
    @Override
    public List<MaTypeHisPrice> getTypeHisPrice(MaTypeHisPrice maTypeHisPrice) {
        return maTypeHisPriceMapper.getTypeHisPrice(maTypeHisPrice);
    }

    @Override
    public int typeHisPriceAdd(MaTypeHisPrice maTypeHisPrice) {
        return maTypeHisPriceMapper.typeHisPriceAdd(maTypeHisPrice);
    }

    @Override
    public int remove(Long[] typeIds) {
        return maTypeHisPriceMapper.remove(typeIds);
    }

    @Override
    public int updateTypeHisPrice(MaTypeHisPrice maTypeHisPrice) {
        return maTypeHisPriceMapper.updateTypeHisPrice(maTypeHisPrice);
    }
}
